Skip to main content
Version: API v1

Kontakt - Liefert alle hinterlegten Adressdaten

GET/v1/gdpr/contacts
API version
v1
Request method
GET
Operation ID
getGDPRContacts

Liefert die Daten aller hinterlegten Adressdaten

Request​

Responses​

Format
application/json
Description

Eine Liste von Adressdaten

  • Array[
    • *object
      • namestring
        required
      • streetstring
        required
      • houseNumberstring
        required
      • zipCodestring
        required
      • citystring
        required
      • mailstring
        required
      • creationDatestring (datetime)

        Das Erstelldatum im UTC Format

      • typestring

        Ein frei wählbarer Typ, der optional angegeben werden kann.

    ]
Content-Type: application/json

[
{
"name": "string",
"street": "string",
"houseNumber": "string",
"zipCode": "string",
"city": "string",
"mail": "string",
"creationDate": "string",
"type": "string"
}
]
{
"type": "array",
"items": {
"title": "GDPRContact",
"required": [
"city",
"houseNumber",
"mail",
"name",
"street",
"zipCode"
],
"type": "object",
"properties": {
"name": {
"type": "string"
},
"street": {
"type": "string"
},
"houseNumber": {
"type": "string"
},
"zipCode": {
"type": "string"
},
"city": {
"type": "string"
},
"mail": {
"type": "string"
},
"creationDate": {
"type": "string",
"description": "Das Erstelldatum im UTC Format",
"format": "datetime"
},
"type": {
"type": "string",
"description": "Ein frei wählbarer Typ, der optional angegeben werden kann."
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/gdpr/contacts?type=string

On this page